#!/usr/bin/python
# -*- coding: UTF-8 -*-

###############################################################################
#                                                                             #
# Bazaar Browser - A simple web application for browsing Bazaar repository    #
#                                                                             #
# Copyright (C) 2011-2012  Fabien LOISON <http://www.flogisoft.com/>          #
#                                                                             #
# This program is free software: you can redistribute it and/or modify        #
# it under the terms of the GNU Affero General Public License as published by #
# the Free Software Foundation, either version 3 of the License, or           #
# (at your option) any later version.                                         #
#                                                                             #
# This program is distributed in the hope that it will be useful,             #
# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
# GNU Affero General Public License for more details.                         #
#                                                                             #
# You should have received a copy of the GNU Affero General Public License    #
# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
#                                                                             #
###############################################################################


"""Bazaar Browser - A simple web application for browsing Bazaar repository"""

__appname__ = "bzrbrowser"
__version__ = "0.1"
__author__ = "Fabien LOISON <http://www.flogisoft.com/>"
__licence__ = "AGPLv3+"


# Import the flask application
from application import app

# Load config
from config import config
app.config.update(config)

# Import controllers
import controllers

# Import filters
import jinja_filters
